declare const _default: import("vue").DefineComponent<{}, {
    $emit: (event: "input-text-change", ...args: any[]) => void;
    $props: {
        readonly [x: string]: any;
    };
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {
    inputRef: import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        disabled: {
            type: BooleanConstructor;
            required: false;
        };
        modelValue: {
            type: StringConstructor;
            required: false;
        };
        inputName: {
            type: StringConstructor;
            required: false;
        };
        inputId: {
            type: StringConstructor;
            required: true;
        };
        inputLabel: {
            type: StringConstructor;
            required: true;
        };
        autoComplete: {
            type: StringConstructor;
            required: false;
        };
        autoCapitalize: {
            type: StringConstructor;
            required: false;
        };
        autoCorrect: {
            type: StringConstructor;
            required: false;
        };
        inputType: {
            type: StringConstructor;
            default: string;
        };
        hintText: {
            type: StringConstructor;
            required: false;
        };
        errorText: {
            type: StringConstructor;
            required: false;
        };
        mask: {
            type: (StringConstructor | ArrayConstructor)[];
            required: false;
            default: string;
        };
        outputIsMasked: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholder: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        size: {
            type: StringConstructor;
            default: string;
            validator(value: unknown): boolean;
        };
        hideLabel: {
            type: BooleanConstructor;
            default: boolean;
        };
        showErrorSlot: {
            type: BooleanConstructor;
            default: boolean;
        };
        isMobile: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{}>, {
        maskedInput: {
            unmasked: string;
        };
        options: {
            mask: string | unknown[];
            tokens: {
                A: {
                    pattern: RegExp;
                    transform: (chr: any) => any;
                };
            };
        };
    }, {}, {
        hasError(): boolean;
    }, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").PublicProps, {
        size: string;
        mask: string | unknown[];
        disabled: boolean;
        isMobile: boolean;
        placeholder: string;
        hideLabel: boolean;
        inputType: string;
        outputIsMasked: boolean;
        readonly: boolean;
        showErrorSlot: boolean;
    }, true, {}, {}, import("vue").GlobalComponents, {
        maska: any;
    } & import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        disabled: {
            type: BooleanConstructor;
            required: false;
        };
        modelValue: {
            type: StringConstructor;
            required: false;
        };
        inputName: {
            type: StringConstructor;
            required: false;
        };
        inputId: {
            type: StringConstructor;
            required: true;
        };
        inputLabel: {
            type: StringConstructor;
            required: true;
        };
        autoComplete: {
            type: StringConstructor;
            required: false;
        };
        autoCapitalize: {
            type: StringConstructor;
            required: false;
        };
        autoCorrect: {
            type: StringConstructor;
            required: false;
        };
        inputType: {
            type: StringConstructor;
            default: string;
        };
        hintText: {
            type: StringConstructor;
            required: false;
        };
        errorText: {
            type: StringConstructor;
            required: false;
        };
        mask: {
            type: (StringConstructor | ArrayConstructor)[];
            required: false;
            default: string;
        };
        outputIsMasked: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        readonly: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholder: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        size: {
            type: StringConstructor;
            default: string;
            validator(value: unknown): boolean;
        };
        hideLabel: {
            type: BooleanConstructor;
            default: boolean;
        };
        showErrorSlot: {
            type: BooleanConstructor;
            default: boolean;
        };
        isMobile: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{}>, {
        maskedInput: {
            unmasked: string;
        };
        options: {
            mask: string | unknown[];
            tokens: {
                A: {
                    pattern: RegExp;
                    transform: (chr: any) => any;
                };
            };
        };
    }, {}, {
        hasError(): boolean;
    }, {}, {
        size: string;
        mask: string | unknown[];
        disabled: boolean;
        isMobile: boolean;
        placeholder: string;
        hideLabel: boolean;
        inputType: string;
        outputIsMasked: boolean;
        readonly: boolean;
        showErrorSlot: boolean;
    }>;
}, HTMLDivElement>;
export default _default;
