declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * The aria label for the star ratings graphic
     * (example: 4.5 out of 5 stars)
     */
    ariaLabel: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Determines the rating scale as represented by stars
     */
    maxRating: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    /**
     * The rating value (can be a whole number or a decimal value - decimals will be represented by a half star)
     */
    rating: {
        type: NumberConstructor;
        required: true;
        validator: (prop: unknown) => boolean;
    };
}>, {}, {
    fullStars: number;
    halfStars: number;
    emptyStars: number;
}, {
    colorClass(): "fx-text-brown-75" | "fx-text-orange-100";
}, {
    getRating(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The aria label for the star ratings graphic
     * (example: 4.5 out of 5 stars)
     */
    ariaLabel: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Determines the rating scale as represented by stars
     */
    maxRating: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    /**
     * The rating value (can be a whole number or a decimal value - decimals will be represented by a half star)
     */
    rating: {
        type: NumberConstructor;
        required: true;
        validator: (prop: unknown) => boolean;
    };
}>> & Readonly<{}>, {
    maxRating: number;
}, {}, {
    StarEmptyIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    StarFullIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    StarHalfIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
