declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Controls horizontal or vertical orientation of the divider
     */
    orientation: {
        type: StringConstructor;
        default: string;
        validator: (value: unknown) => boolean;
        required: false;
    };
    /**
     * Controls thickness of the divider
     */
    thickness: {
        type: StringConstructor;
        default: string;
        validator: (value: unknown) => boolean;
        required: false;
    };
}>, {}, {
    dividerClasses: {
        horizontal: string;
        vertical: string;
    };
}, {}, {
    getHeightClassOnThickness(): "fx-h-[0.5px]" | "fx-h-[1px]" | "fx-h-[2px]";
    getWidthClassOnThickness(): "fx-w-[0.5px]" | "fx-w-[1px]" | "fx-w-[2px]";
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Controls horizontal or vertical orientation of the divider
     */
    orientation: {
        type: StringConstructor;
        default: string;
        validator: (value: unknown) => boolean;
        required: false;
    };
    /**
     * Controls thickness of the divider
     */
    thickness: {
        type: StringConstructor;
        default: string;
        validator: (value: unknown) => boolean;
        required: false;
    };
}>> & Readonly<{}>, {
    orientation: string;
    thickness: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
