import { type ButtonVariants } from '.';
import { type HTMLAttributes } from 'vue';
type IconProps = {
    position?: 'left' | 'right';
    description: string;
};
export type ButtonProps = {
    variant: ButtonVariants['variant'];
    href?: string | null;
    target?: string;
    buttonAction?: 'submit' | 'reset' | 'button';
    isDisabled?: boolean;
    isLoading?: boolean;
    class?: HTMLAttributes['class'];
    buttonType?: 'icon' | 'button';
    buttonSize?: ButtonVariants['size'];
    icon?: IconProps | null;
};
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: Readonly<{
        /** The icon component to render */
        icon(): any;
        /** The content for the button */
        default(): any;
    }> & {
        /** The icon component to render */
        icon(): any;
        /** The content for the button */
        default(): any;
    };
    refs: {};
    rootEl: any;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import("vue").DefineComponent<ButtonProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "button-clicked": () => any;
}, string, import("vue").PublicProps, Readonly<ButtonProps> & Readonly<{
    "onButton-clicked"?: () => any;
}>, {
    variant: ButtonVariants["variant"];
    icon: IconProps | null;
    class: HTMLAttributes["class"];
    href: string | null;
    target: string;
    buttonAction: "submit" | "reset" | "button";
    isDisabled: boolean;
    isLoading: boolean;
    buttonType: "icon" | "button";
    buttonSize: ButtonVariants["size"];
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
