declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Controls whether the buttons stack vertically or horizontally
     */
    orientation: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    /**
     * Controls the alignment of the buttons inside the group.
     */
    align: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    /**
     * Controls width of the buttons. They can be either `full` to take up all the available space, or `auto` to fit to content.
     */
    buttonWidth: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
}>, {}, {}, {
    hasTwoButtons(): boolean;
}, {
    getClassesForOrientation(): "" | "fx-flex-col";
    getClassesForAlign(): "fx-justify-center" | "fx-items-center fx-mx-auto" | "fx-items-end" | "fx-justify-end" | "fx-items-start" | "fx-justify-start";
    getClassesForButtonWidth(): "center-buttons-app-button-group fx-w-full" | "center-buttons-app-button-group fx-flex-grow fx-min-w-[calc(50%-theme(space.4))]" | "fx-w-auto";
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Controls whether the buttons stack vertically or horizontally
     */
    orientation: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    /**
     * Controls the alignment of the buttons inside the group.
     */
    align: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    /**
     * Controls width of the buttons. They can be either `full` to take up all the available space, or `auto` to fit to content.
     */
    buttonWidth: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
}>> & Readonly<{}>, {
    orientation: string;
    align: string;
    buttonWidth: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
